--- old/usr/src/uts/common/fs/zfs/sys/dmu_objset.h	2014-10-16 19:15:51.790152302 +0200
+++ new/usr/src/uts/common/fs/zfs/sys/dmu_objset.h	2014-10-16 19:15:51.795401328 +0200
@@ -135,8 +135,11 @@
 
 /* called from zpl */
 int dmu_objset_hold(const char *name, void *tag, objset_t **osp);
+int dmu_objset_hold_nolock(const char *name, void *tag, objset_t **osp);
 int dmu_objset_own(const char *name, dmu_objset_type_t type,
     boolean_t readonly, void *tag, objset_t **osp);
+int dmu_objset_own_nolock(const char *name, dmu_objset_type_t type,
+    boolean_t readonly, void *tag, objset_t **osp);
 void dmu_objset_refresh_ownership(objset_t *os, void *tag);
 void dmu_objset_rele(objset_t *os, void *tag);
 void dmu_objset_disown(objset_t *os, void *tag);
